<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class LoginAPIRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'bd' => ['required', 'string', 'min:3'],
            'username' => ['required', 'string'],
            'password' => ['required', 'string']
        ];
    }

    public function messages()
    {
        return [
            'bd.required' => "La base de données n'est pas spécifiée",
            'bd.min' => "La base de données doit être d'au moins 3 caractères",
            'username.required' => "Le nom d'utilisateur est requis",
            'username.min' => "Le nom d'utilisateur doit être d'au moins 3 caractères",
            'password.required' => 'Le mot de passe est requis',
            'password.min' => "Le mot de passe doit être d'au moins 6 caractères"
        ];
    }
}
